Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterfaceControl

All Superinterfaces:
  IUserInterfaceNode

All Known Subinterfaces:
  IUserInterfaceImage, IUserInterfaceLabel

Deprecated. This class is only supported for DHTML UIs Implemented by user interface objects that represent controls that are displayed to the end user Oracle Configurator Runtime Behavior:

public interface IUserInterfaceControl
extends IUserInterfaceNode

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`BOM_CONTROL, BUTTON, CHECK_BOX, COMBO_BOX, CONNECT_OPTION, CONNECTOR, CONNECTOR_LIST, DECIMAL_FIELD, IMAGE, INTEGER_FIELD, LABEL, LOGIC_COUNT_BOX, MODEL_INSTANCE, MODEL_INSTANCES_BOX, OPTION, RESOURCE_FIELD, SCREEN, SELECTION_LIST, SELECTION_LIST_MUTEX, TARGET_COMPONENT, TEXT_FIELD, TOTAL_FIELD, TREELINK, UINODE`

Method Summary
`boolean` | `getDisableFlag()` Deprecated. returns the disable flag
`boolean` | `getHiddenFlag()` Deprecated. returns the visibility flag
`oracle.apps.cz.cio.IUserInterfaceScreen` | `getScreen()` Deprecated. Returns The IUserInterfaceScreen that this control is displayed in.
`boolean` | `isEnabled()` Deprecated. returns the edit-ability for the control
`boolean` | `isVisible()` Deprecated. returns the visibility for the control
`void` | `setDisableFlag(boolean bFlag)` Deprecated. sets a disable flag for a control
`void` | `setHiddenFlag(boolean bFlag)` Deprecated. sets a visibility flag for a control

Methods inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`getName, getRuntimeNode, getType, getUiCaption`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Method Detail

### getScreen

    public oracle.apps.cz.cio.IUserInterfaceScreen getScreen()

  Deprecated.
  Returns The IUserInterfaceScreen that this control is displayed in.

### setHiddenFlag

    public void setHiddenFlag(boolean bFlag)

  Deprecated.
  sets a visibility flag for a control

### getHiddenFlag

    public boolean getHiddenFlag()

  Deprecated.
  returns the visibility flag

### isVisible

    public boolean isVisible()

  Deprecated.
  returns the visibility for the control

### setDisableFlag

    public void setDisableFlag(boolean bFlag)

  Deprecated.
  sets a disable flag for a control

### getDisableFlag

    public boolean getDisableFlag()

  Deprecated.
  returns the disable flag

### isEnabled

    public boolean isEnabled()

  Deprecated.
  returns the edit-ability for the control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.